Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.meta
Class MappingInfo

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.meta.MappingInfo

Direct Known Subclasses:
  ClassMappingInfo, FieldMappingInfo

public class MappingInfo
extends java.lang.Object

Base class for `ClassMappingInfo` and `FieldMappingInfo`.

Constructor Summary
`MappingInfo()`

Method Summary
`void` | `addAttribute(java.lang.String name, java.lang.String value)` Add the given attribute to the mapping information.
`void` | `addField(com.solarmetric.rd.kodo.impl.jdbc.meta.FieldMappingInfo value)` Add the given embedded field to the mapping information.
`java.lang.String` | `getAttribute(java.lang.String name)` Return the given attribute to the mapping information.
`java.lang.String[]` | `getAttributeNames()` Return all attribute keys.
`com.solarmetric.rd.kodo.impl.jdbc.meta.FieldMappingInfo` | `getField(java.lang.String name)` Return information on the given embedded field.
`com.solarmetric.rd.kodo.impl.jdbc.meta.FieldMappingInfo[]` | `getFields()` Return all embedded fields.
`java.lang.String` | `getMappingType()` Return the type for this mapping.
`void` | `setMappingType(java.lang.String mappingType)` Set the type for this mapping.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingInfo

    public MappingInfo()

Method Detail

### getMappingType

    public java.lang.String getMappingType()

  Return the type for this mapping.

### setMappingType

    public void setMappingType(java.lang.String mappingType)

  Set the type for this mapping.

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  Return the given attribute to the mapping information. Attributes are mapping-specific.

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.lang.String value)

  Add the given attribute to the mapping information. Attributes are mapping-specific.

### getAttributeNames

    public java.lang.String[] getAttributeNames()

  Return all attribute keys.

### getField

    public com.solarmetric.rd.kodo.impl.jdbc.meta.FieldMappingInfo getField(java.lang.String name)

  Return information on the given embedded field.

### addField

    public void addField(com.solarmetric.rd.kodo.impl.jdbc.meta.FieldMappingInfo value)

  Add the given embedded field to the mapping information.

### getFields

    public com.solarmetric.rd.kodo.impl.jdbc.meta.FieldMappingInfo[] getFields()

  Return all embedded fields.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.